Subject: Re: [PATCH 1/2] add macro REALLOC_ARRAY

From: René Scharfe <[email-masked]>
Date: Wed, 24 Sep 2014 21:27:02 +0200

Am 24.09.2014 um 09:32 schrieb Michael Haggerty:
> Is there a reason that ALLOC_GROW and REALLOC_ARRAY are defined in two
> separate header files (cache.h and git-compat-util.h, respectively)? It
> seems to me that they are close siblings and therefore I find it
> surprising that they are not defined right next to each other.

REALLOC_ARRAY is more like xrealloc and it's used in places that only 
#include git-compat-util.h and not cache.h, so the first header was the 
right place.

ALLOC_GROW could be moved there in a separate patch, but I'm not sure 
it's worth it.

René